package service

import (
	"context"
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	oocmci "git.loafle.net/overflow/overflow_commons_go/modules/commons/interfaces"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*LogService)(nil)))
}

type LogService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
	oocmci.Service
}

func (ls *LogService) Start() error {

	return nil
}

func (ls *LogService) Stop(ctx context.Context) error {

	return nil
}

func (ls *LogService) Send() error {
	return nil
}
